

[HINT]


[ERROR]
;Stop
4001=Stop.
4002=Parameter Error.
4003=Unknow Error.
4004=T20L is not supported.
4006=SG1580 is not supported.
4010=Initital Disk Info Error.
4011=Get Flash Param Error.
4012=Get XRAM Code Error.
4013=Load Group Error.
4014=Read Information Error.
4100=Copy Scan File To XRAM Error.
4101=Updata "scan.bin" Error.
4102=Update Flycode Error.
4200=Set Flash Params Error.
;Too many bad blocks.
4300=Too many bad blocks.
4301=Create Image Error.
4302=Can not find test data.
4400=Create BootTable Error.
4401=Find CFG Block Error.
4402=Print Bad block Table Error.
4403=Set Serial Number Error.
4405=Flycode Not Exist.
4406=Find Bad Table Error.
4407=UDP Param Overflow.
4408=Read Skip Column Information Error.
4500=Create Algorithm Table Error.
4600=Set USB DIsk Param Error.
4601=Fix Capacity Error.
4700=Write BootTbl Error.
4701=Set PassWord Error.
4702=Write BadTbl Error
4703=Write BadTbl Addr Error.
4704=Read BadTbl Error.
4705=Read BadTbl Info Error.
4706=Write Config Table Error.
4707=Boot Load Error.
4708=Write FlyCode Error.
4709=Write Algorithm Table Error.
4710=No Capacity.
4800=Logic Formate Error.
4801=Set Disk Offset Error.
4802=Change Disk Pos Error. 
4803=Write File System Error. 
4804=Write CDROM Error.  
4805=Create Tool Disk Error.   
4806=Copy Boot File Error.
4807=Disable Logic Read and Write Error.
4808=Full Write Date Error.
4809=Load or Not Error.
4810=Copy Tool File Error.
4811=Copy File And Folder Error.
4812=ISO File Not Exist
4813=ISOFile overflow, less than or equal to %d kb request.
4814=Without enough space!
4900=This Flash is Error.
4901=This Flash is InkDie.


;pre scan error.
5001=Too many bad blocks.
;advan scan error.
5002=Too many bad blocks.
; advan scan version incompatible
5003=Version is incompatible.
; Limit Capacity error.
5004=Limit Capacity error.

;Find flycode error.
5201=Too many bad blocks.
;upload flycode error
5202=Too many bad blocks.
;find scan error.
5203=Too many bad blocks.
;upload scan error.
5204=Too many bad blocks.


;Find Boot Error
5301=Too many bad blocks.
;Find flycode error
5302=Too many bad blocks.
;Write the boot fail.
5303=Too many bad blocks.
;write flycode error.
5304=Too many bad blocks.

;Find algo table error.
5305=Too many bad blocks.
;build the algo table error.
5306=Too many bad blocks.
;write algo table error.
5307=Too many bad blocks.
;write the advan data error.
5308=Too many bad blocks.
;find the advan data error.
5309=Too many bad blocks.
5310=Find UDP error.
; Find TinyCode Too Many BadCol
5311=Too Many BadCol


; write backup udp fail
5401=Format Disk Error.
; format disk error
5402=Format Disk Error.
; H2 fail
5403=MP pass, H2 fail.
; copy file error
5404=Format Disk Error.
; no enough space to copy file
5405=Format Disk Error.
; It is failed to verify files.
5406=Failed to verify files.

;can't read log capability
5501=Too many bad blocksm.
;no enough good blocks
5502=Too many bad blocks.
;capability could't meet the repuilt of the customer.
5503=Too many bad blocks.
;flash type error
5504=Too many bad blocks.
;can't advan scan inter
5505=Too many bad blocks.
; PA estimate capability error
5506=Too many bad blocks.
; invalid algorithm
5507=Too many bad blocks.
; The version is not compatible
5508=Incompatible.43210
; bad col table format fail
5509=Too many bad blocks
; Capacity is insufficient
5513=Capacity is insufficient

; scan timeout 
5600=Too many bad blocks.
; write boot timeout
5601=Too many bad blocks.
; write flycode timeout
5602=Too many bad blocks.
; write advan data timeout
5603=Too many bad blocks
; write algo table timeout
5604=Too many bad blocks
; switch code timeout 
5605=Too many bad blocks.
; write backup udp timeout
5606=Too many bad blocks.
; format timeout
5607=Too many bad blocks.


;´íÎóÂë
;ÎïÀí¶Á 
6=ERR_PhyReadFlash_P1            
7=ERR_PhyWriteFlash_P1       
8=ERR_MEM_CMP                
10=    ERR_CHECK_SUM              
      
13=    ERR_FindBootTable          
14=    ERR_FindRegParamTable      
15=    ERR_GETMkbBuff             
16=    ERR_ChangeToCode           
17=    ERR_Read_ScanBin           
18=    ERR_Run_ScanBin            
          
30=    ERR_INIT_CLASS             
31=    ERR_INIT_PARTITION         
32=    ERR_SECCODE_NOT_FIND       
33=    ERR_CreatePA_CfgTable        
36=    ERR_WRITE_BADPAGETABLE     
37=    ERR_WRITE_PATABLE          
40=    ERR_WRITEREGPARAM         
41=    ERR_GET_PAGE_PROG_TIME      41
42=    ERR_LOAD_CFG_FILE           42
43=    ERR_GOOD_BLK_NOT_ENOUGH     
44=    ERR_DOWNLOAD_INTERFACE_SCAN 
